import { FormSOP } from '../../libappsop/formsop';
import { ListSOP } from '../../libappsop/listsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormRouting extends FormSOP {
  public listRouting = new ListRouting();

  public constructor() {
    super('FormRoutings');
  }
}

export class ListRouting extends ListSOP<DialogDummy, ListRoutingColumn> {
  public static title = 'Routings';
  public constructor() {
    super('FormRoutings.ListRoutings', new DialogDummy());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Name: ''};
  }
}

export interface ListRoutingColumn {
  Name?: string;
}

const listRoutingContextMenuItem = {
  Create: { ContextMenu: 'listContextMenuRouting', Name: 'MenuCreate', Label: 'Create' },
  Edit: { ContextMenu: 'listContextMenuRouting', Name: 'MenuEdit', Label: 'Edit' },
};

export { listRoutingContextMenuItem as ListRoutingContextMenuItem };
